<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Package org.apache.poi.ddf (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Package org.apache.poi.ddf (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/ddf/package-use.html" target="_top">Frames</a></li>
        <li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 title="Uses of Package org.apache.poi.ddf" class="title">Uses of Package<br>org.apache.poi.ddf</h1>
</div>
<div class="contentContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a href="../../../../org/apache/poi/ddf/package-summary.html">org.apache.poi.ddf</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.ddf">org.apache.poi.ddf</a></td>
                    <td class="colLast">
                        <div class="block">This package contains classes for decoding the Microsoft Office
                            Drawing format otherwise known as escher henceforth known in POI
                            as the Dreadful Drawing Format.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hpbf.model">org.apache.poi.hpbf.model</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hslf.dev">org.apache.poi.hslf.dev</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hslf.model">org.apache.poi.hslf.model</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hslf.record">org.apache.poi.hslf.record</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hslf.usermodel">org.apache.poi.hslf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.model">org.apache.poi.hssf.model</a></td>
                    <td class="colLast">
                        <div class="block">Provides low level API structures for reading, writing, modifying XLS
                            files.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.record">org.apache.poi.hssf.record</a></td>
                    <td class="colLast">
                        <div class="block">Record package contains class representations for XLS binary strutures.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.usermodel">org.apache.poi.hssf.usermodel</a></td>
                    <td class="colLast">
                        <div class="block">usermodel package maps HSSF low level strutures to familiar workbook/sheet
                            model
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hwpf.model">org.apache.poi.hwpf.model</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hwpf.usermodel">org.apache.poi.hwpf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.ddf">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../org/apache/poi/ddf/package-summary.html">org.apache.poi.ddf</a> used by <a
                        href="../../../../org/apache/poi/ddf/package-summary.html">org.apache.poi.ddf</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../org/apache/poi/ddf/class-use/AbstractEscherOptRecord.html#org.apache.poi.ddf">AbstractEscherOptRecord</a>
                        <div class="block">Common abstract class for <a
                                href="../../../../org/apache/poi/ddf/EscherOptRecord.html"
                                title="class in org.apache.poi.ddf"><code>EscherOptRecord</code></a> and
                            <a href="../../../../org/apache/poi/ddf/EscherTertiaryOptRecord.html"
                               title="class in org.apache.poi.ddf"><code>EscherTertiaryOptRecord</code></a></div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../org/apache/poi/ddf/class-use/EscherBlipRecord.html#org.apache.poi.ddf">EscherBlipRecord</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../org/apache/poi/ddf/class-use/EscherColorRef.SysIndexProcedure.html#org.apache.poi.ddf">EscherColorRef.SysIndexProcedure</a>
                        <div class="block">The following enum specifies values that indicate special procedural
                            properties that
                            are used to modify the color components of another color.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../org/apache/poi/ddf/class-use/EscherColorRef.SysIndexSource.html#org.apache.poi.ddf">EscherColorRef.SysIndexSource</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../org/apache/poi/ddf/class-use/EscherComplexProperty.html#org.apache.poi.ddf">EscherComplexProperty</a>
                        <div class="block">A complex property differs from a simple property in that the data can not
                            fit inside a 32 bit
                            integer.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../org/apache/poi/ddf/class-use/EscherContainerRecord.html#org.apache.poi.ddf">EscherContainerRecord</a>
                        <div class="block">Escher container records store other escher records as children.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../org/apache/poi/ddf/class-use/EscherDggRecord.FileIdCluster.html#org.apache.poi.ddf">EscherDggRecord.FileIdCluster</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../org/apache/poi/ddf/class-use/EscherDgRecord.html#org.apache.poi.ddf">EscherDgRecord</a>
                        <div class="block">This record simply holds the number of shapes in the drawing group and the
                            last shape id used for this drawing group.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../org/apache/poi/ddf/class-use/EscherProperty.html#org.apache.poi.ddf">EscherProperty</a>
                        <div class="block">This is the abstract base class for all escher properties.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../org/apache/poi/ddf/class-use/EscherRecord.html#org.apache.poi.ddf">EscherRecord</a>
                        <div class="block">The base abstract record from which all escher records are defined.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../org/apache/poi/ddf/class-use/EscherRecordFactory.html#org.apache.poi.ddf">EscherRecordFactory</a>
                        <div class="block">The escher record factory interface allows for the creation of escher
                            records from a pointer into a data array.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../org/apache/poi/ddf/class-use/EscherSerializationListener.html#org.apache.poi.ddf">EscherSerializationListener</a>
                        <div class="block">Interface for listening to escher serialization events.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../org/apache/poi/ddf/class-use/EscherSimpleProperty.html#org.apache.poi.ddf">EscherSimpleProperty</a>
                        <div class="block">A simple property is of fixed length and as a property number in addition
                            to a 32-bit value.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../org/apache/poi/ddf/class-use/EscherTextboxRecord.html#org.apache.poi.ddf">EscherTextboxRecord</a>
                        <div class="block">Holds data from the parent application.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../org/apache/poi/ddf/class-use/UnknownEscherRecord.html#org.apache.poi.ddf">UnknownEscherRecord</a>
                        <div class="block">This record is used whenever a escher record is encountered that
                            we do not explicitly support.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hpbf.model">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../org/apache/poi/ddf/package-summary.html">org.apache.poi.ddf</a> used by <a
                        href="../../../../org/apache/poi/hpbf/model/package-summary.html">org.apache.poi.hpbf.model</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../org/apache/poi/ddf/class-use/EscherRecord.html#org.apache.poi.hpbf.model">EscherRecord</a>
                        <div class="block">The base abstract record from which all escher records are defined.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hslf.dev">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../org/apache/poi/ddf/package-summary.html">org.apache.poi.ddf</a> used by <a
                        href="../../../../org/apache/poi/hslf/dev/package-summary.html">org.apache.poi.hslf.dev</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../org/apache/poi/ddf/class-use/EscherRecord.html#org.apache.poi.hslf.dev">EscherRecord</a>
                        <div class="block">The base abstract record from which all escher records are defined.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hslf.model">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../org/apache/poi/ddf/package-summary.html">org.apache.poi.ddf</a> used by <a
                        href="../../../../org/apache/poi/hslf/model/package-summary.html">org.apache.poi.hslf.model</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../org/apache/poi/ddf/class-use/EscherContainerRecord.html#org.apache.poi.hslf.model">EscherContainerRecord</a>
                        <div class="block">Escher container records store other escher records as children.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hslf.record">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../org/apache/poi/ddf/package-summary.html">org.apache.poi.ddf</a> used by <a
                        href="../../../../org/apache/poi/hslf/record/package-summary.html">org.apache.poi.hslf.record</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../org/apache/poi/ddf/class-use/DefaultEscherRecordFactory.html#org.apache.poi.hslf.record">DefaultEscherRecordFactory</a>
                        <div class="block">Generates escher records when provided the byte array containing those
                            records.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../org/apache/poi/ddf/class-use/EscherClientDataRecord.html#org.apache.poi.hslf.record">EscherClientDataRecord</a>
                        <div class="block">The EscherClientDataRecord is used to store client specific data about the
                            position of a
                            shape within a container.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../org/apache/poi/ddf/class-use/EscherContainerRecord.html#org.apache.poi.hslf.record">EscherContainerRecord</a>
                        <div class="block">Escher container records store other escher records as children.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../org/apache/poi/ddf/class-use/EscherDggRecord.html#org.apache.poi.hslf.record">EscherDggRecord</a>
                        <div class="block">This record defines the drawing groups used for a particular sheet.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../org/apache/poi/ddf/class-use/EscherDgRecord.html#org.apache.poi.hslf.record">EscherDgRecord</a>
                        <div class="block">This record simply holds the number of shapes in the drawing group and the
                            last shape id used for this drawing group.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../org/apache/poi/ddf/class-use/EscherRecord.html#org.apache.poi.hslf.record">EscherRecord</a>
                        <div class="block">The base abstract record from which all escher records are defined.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../org/apache/poi/ddf/class-use/EscherRecordFactory.html#org.apache.poi.hslf.record">EscherRecordFactory</a>
                        <div class="block">The escher record factory interface allows for the creation of escher
                            records from a pointer into a data array.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../org/apache/poi/ddf/class-use/EscherSerializationListener.html#org.apache.poi.hslf.record">EscherSerializationListener</a>
                        <div class="block">Interface for listening to escher serialization events.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../org/apache/poi/ddf/class-use/EscherTextboxRecord.html#org.apache.poi.hslf.record">EscherTextboxRecord</a>
                        <div class="block">Holds data from the parent application.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hslf.usermodel">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../org/apache/poi/ddf/package-summary.html">org.apache.poi.ddf</a> used by <a
                        href="../../../../org/apache/poi/hslf/usermodel/package-summary.html">org.apache.poi.hslf.usermodel</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../org/apache/poi/ddf/class-use/AbstractEscherOptRecord.html#org.apache.poi.hslf.usermodel">AbstractEscherOptRecord</a>
                        <div class="block">Common abstract class for <a
                                href="../../../../org/apache/poi/ddf/EscherOptRecord.html"
                                title="class in org.apache.poi.ddf"><code>EscherOptRecord</code></a> and
                            <a href="../../../../org/apache/poi/ddf/EscherTertiaryOptRecord.html"
                               title="class in org.apache.poi.ddf"><code>EscherTertiaryOptRecord</code></a></div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../org/apache/poi/ddf/class-use/EscherBSERecord.html#org.apache.poi.hslf.usermodel">EscherBSERecord</a>
                        <div class="block">The BSE record is related closely to the <code>EscherBlipRecord</code> and
                            stores
                            extra information about the blip.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../org/apache/poi/ddf/class-use/EscherContainerRecord.html#org.apache.poi.hslf.usermodel">EscherContainerRecord</a>
                        <div class="block">Escher container records store other escher records as children.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../org/apache/poi/ddf/class-use/EscherProperty.html#org.apache.poi.hslf.usermodel">EscherProperty</a>
                        <div class="block">This is the abstract base class for all escher properties.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../org/apache/poi/ddf/class-use/EscherRecord.html#org.apache.poi.hslf.usermodel">EscherRecord</a>
                        <div class="block">The base abstract record from which all escher records are defined.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hssf.model">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../org/apache/poi/ddf/package-summary.html">org.apache.poi.ddf</a> used by <a
                        href="../../../../org/apache/poi/hssf/model/package-summary.html">org.apache.poi.hssf.model</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../org/apache/poi/ddf/class-use/EscherBSERecord.html#org.apache.poi.hssf.model">EscherBSERecord</a>
                        <div class="block">The BSE record is related closely to the <code>EscherBlipRecord</code> and
                            stores
                            extra information about the blip.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../org/apache/poi/ddf/class-use/EscherDggRecord.html#org.apache.poi.hssf.model">EscherDggRecord</a>
                        <div class="block">This record defines the drawing groups used for a particular sheet.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../org/apache/poi/ddf/class-use/EscherDgRecord.html#org.apache.poi.hssf.model">EscherDgRecord</a>
                        <div class="block">This record simply holds the number of shapes in the drawing group and the
                            last shape id used for this drawing group.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../org/apache/poi/ddf/class-use/EscherRecord.html#org.apache.poi.hssf.model">EscherRecord</a>
                        <div class="block">The base abstract record from which all escher records are defined.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hssf.record">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../org/apache/poi/ddf/package-summary.html">org.apache.poi.ddf</a> used by <a
                        href="../../../../org/apache/poi/hssf/record/package-summary.html">org.apache.poi.hssf.record</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../org/apache/poi/ddf/class-use/EscherContainerRecord.html#org.apache.poi.hssf.record">EscherContainerRecord</a>
                        <div class="block">Escher container records store other escher records as children.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../org/apache/poi/ddf/class-use/EscherRecord.html#org.apache.poi.hssf.record">EscherRecord</a>
                        <div class="block">The base abstract record from which all escher records are defined.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hssf.usermodel">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../org/apache/poi/ddf/package-summary.html">org.apache.poi.ddf</a> used by <a
                        href="../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../org/apache/poi/ddf/class-use/EscherBlipRecord.html#org.apache.poi.hssf.usermodel">EscherBlipRecord</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../org/apache/poi/ddf/class-use/EscherChildAnchorRecord.html#org.apache.poi.hssf.usermodel">EscherChildAnchorRecord</a>
                        <div class="block">The escher child achor record is used to specify the position of a shape
                            under an
                            existing group.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../org/apache/poi/ddf/class-use/EscherClientAnchorRecord.html#org.apache.poi.hssf.usermodel">EscherClientAnchorRecord</a>
                        <div class="block">The escher client anchor specifies which rows and cells the shape is bound to
                            as well as
                            the offsets within those cells.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../org/apache/poi/ddf/class-use/EscherContainerRecord.html#org.apache.poi.hssf.usermodel">EscherContainerRecord</a>
                        <div class="block">Escher container records store other escher records as children.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../org/apache/poi/ddf/class-use/EscherOptRecord.html#org.apache.poi.hssf.usermodel">EscherOptRecord</a>
                        <div class="block">The opt record is used to store property values for a shape.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../org/apache/poi/ddf/class-use/EscherProperty.html#org.apache.poi.hssf.usermodel">EscherProperty</a>
                        <div class="block">This is the abstract base class for all escher properties.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../org/apache/poi/ddf/class-use/EscherRecord.html#org.apache.poi.hssf.usermodel">EscherRecord</a>
                        <div class="block">The base abstract record from which all escher records are defined.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hwpf.model">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../org/apache/poi/ddf/package-summary.html">org.apache.poi.ddf</a> used by <a
                        href="../../../../org/apache/poi/hwpf/model/package-summary.html">org.apache.poi.hwpf.model</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../org/apache/poi/ddf/class-use/EscherContainerRecord.html#org.apache.poi.hwpf.model">EscherContainerRecord</a>
                        <div class="block">Escher container records store other escher records as children.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../org/apache/poi/ddf/class-use/EscherRecord.html#org.apache.poi.hwpf.model">EscherRecord</a>
                        <div class="block">The base abstract record from which all escher records are defined.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hwpf.usermodel">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../org/apache/poi/ddf/package-summary.html">org.apache.poi.ddf</a> used by <a
                        href="../../../../org/apache/poi/hwpf/usermodel/package-summary.html">org.apache.poi.hwpf.usermodel</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../org/apache/poi/ddf/class-use/EscherBlipRecord.html#org.apache.poi.hwpf.usermodel">EscherBlipRecord</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../org/apache/poi/ddf/class-use/EscherContainerRecord.html#org.apache.poi.hwpf.usermodel">EscherContainerRecord</a>
                        <div class="block">Escher container records store other escher records as children.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/ddf/package-use.html" target="_top">Frames</a></li>
        <li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
